/*
 * ScriptLauncher.java
 *
 * Created on May 16, 2004, 3:36 AM
 */

package simulations.core;

import java.io.File;
import java.io.IOException;

/**
 * This class is used to run a script file in another thread
 * @author  tom
 */
public class ScriptLauncher implements Runnable {
    
    private File scriptFile;
    
    /** Creates a new instance of ScriptLauncher
     * @param f The file containing the script to launch
     **/
    public ScriptLauncher(File f) {
        scriptFile=f;
    }
    
    /** Run method **/
    public void run() {
        Runtime r = Runtime.getRuntime();
        try {
            Process p = r.exec(scriptFile.getPath());
        }catch(IOException e) {
            System.out.println(e.toString());
        }
    }
    
}
