/*
 * CompoAttackStrat.java
 *
 * Created on 3 juin 2004, 03:40
 */

package simulations.database.core;

import java.sql.SQLException;
import java.sql.ResultSet;

/**
 *
 * @author  tom
 */
public class CompoAttackStrat {
    
    private int idCompoAttackStrat;
    
    private int idAttackStrat;
    
    private int rank;
    
    /** Creates a new instance of CompoAttackStrat */
    public CompoAttackStrat(ResultSet rs) {
        try {
            idCompoAttackStrat = rs.getInt("ID_COMPO_ATTACK_STRAT");
            idAttackStrat = rs.getInt("ID_ATTACK_STRAT");
            rank = rs.getInt("RANK");
        }catch(SQLException e) {
            System.out.println("new CompoAttackStrat()");
            e.printStackTrace();
            System.exit(0);
        }
    }
    
    public String toString() {
        return idCompoAttackStrat+" : "+idAttackStrat+" : "+rank;
    }
    
    /** Getter for property idAttackStrat.
     * @return Value of property idAttackStrat.
     *
     */
    public int getIdAttackStrat() {
        return idAttackStrat;
    }
    
    /** Setter for property idAttackStrat.
     * @param idAttackStrat New value of property idAttackStrat.
     *
     */
    public void setIdAttackStrat(int idAttackStrat) {
        this.idAttackStrat = idAttackStrat;
    }
    
    /** Getter for property idCompoAttackStrat.
     * @return Value of property idCompoAttackStrat.
     *
     */
    public int getIdCompoAttackStrat() {
        return idCompoAttackStrat;
    }
    
    /** Setter for property idCompoAttackStrat.
     * @param idCompoAttackStrat New value of property idCompoAttackStrat.
     *
     */
    public void setIdCompoAttackStrat(int idCompoAttackStrat) {
        this.idCompoAttackStrat = idCompoAttackStrat;
    }
    
    /** Getter for property rank.
     * @return Value of property rank.
     *
     */
    public int getRank() {
        return rank;
    }
    
    /** Setter for property rank.
     * @param rank New value of property rank.
     *
     */
    public void setRank(int rank) {
        this.rank = rank;
    }
    
}
