/*
 * AttackMySelfException.java
 *
 * Created on May 10, 2004, 2:17 AM
 */

package simulations.core.exceptions;

/**
 * This exception is thrown when an attack strategy returns the owner
 * of the strategy to attack
 * @author  tom
 */
public class AttackMySelfException extends Exception {
    
    /** Creates a new instance of AttackMySelfException */
    public AttackMySelfException() {
        super("The strategy returns to attack himself");
    }
    
}
