/*
 * Coalition.java
 *
 * Created on 3 juin 2004, 03:31
 */

package simulations.database.core;

import java.sql.SQLException;
import java.sql.ResultSet;

/**
 *
 * @author  tom
 */
public class Coalition {
    
    private int idCoalition;
    
    private int idPlayer;
    
    /** Creates a new instance of Coalition */
    public Coalition(ResultSet rs) {
        try {
            idCoalition=rs.getInt("ID_COALITION");
            idPlayer=rs.getInt("ID_PLAYER");
        }catch(SQLException e) {
            System.out.println("new Coalition()");
            e.printStackTrace();
            System.exit(0);
        }
    }
    
    public String toString() {
        return idCoalition+" : "+idPlayer;
    }
    
    /** Getter for property idPlayer.
     * @return Value of property idPlayer.
     *
     */
    public int getIdPlayer() {
        return idPlayer;
    }
    
    /** Setter for property idPlayer.
     * @param idPlayer New value of property idPlayer.
     *
     */
    public void setIdPlayer(int idPlayer) {
        this.idPlayer = idPlayer;
    }
    
    /** Getter for property idCoalition.
     * @return Value of property idCoalition.
     *
     */
    public int getIdCoalition() {
        return idCoalition;
    }
    
    /** Setter for property idCoalition.
     * @param idCoalition New value of property idCoalition.
     *
     */
    public void setIdCoalition(int idCoalition) {
        this.idCoalition = idCoalition;
    }
    
}
