/*
 * CompoStrat.java
 *
 * Created on 3 juin 2004, 03:35
 */

package simulations.database.core;

import java.sql.SQLException;
import java.sql.ResultSet;

/**
 *
 * @author  tom
 */
public class CompoStrat {
    
    private int idStrategy;
    
    private int idCompoAttackStrat;
    
    private int idCompoAskingStrat;
    
    private int idCompoDecisionStrat;
    
    /** Creates a new instance of CompoStrat */
    public CompoStrat(ResultSet rs) {
        try {
            idStrategy = rs.getInt("ID_STRATEGY");
            idCompoAttackStrat = rs.getInt("ID_COMPO_ATTACK_STRAT");
            idCompoAskingStrat = rs.getInt("ID_COMPO_ASKING_STRAT");
            idCompoDecisionStrat = rs.getInt("ID_COMPO_DECISION_STRAT");
        }catch(SQLException e) {
            System.out.println("new CompoStrat()");
            e.printStackTrace();
            System.exit(0);
        }
    }
    
    public String toString() {
        return idStrategy+" : "+idCompoAttackStrat+" : "+idCompoAskingStrat+" : "+idCompoDecisionStrat;
    }
    
    /** Getter for property idCompoAskingStrat.
     * @return Value of property idCompoAskingStrat.
     *
     */
    public int getIdCompoAskingStrat() {
        return idCompoAskingStrat;
    }
    
    /** Setter for property idCompoAskingStrat.
     * @param idCompoAskingStrat New value of property idCompoAskingStrat.
     *
     */
    public void setIdCompoAskingStrat(int idCompoAskingStrat) {
        this.idCompoAskingStrat = idCompoAskingStrat;
    }
    
    /** Getter for property idCompoAttackStrat.
     * @return Value of property idCompoAttackStrat.
     *
     */
    public int getIdCompoAttackStrat() {
        return idCompoAttackStrat;
    }
    
    /** Setter for property idCompoAttackStrat.
     * @param idCompoAttackStrat New value of property idCompoAttackStrat.
     *
     */
    public void setIdCompoAttackStrat(int idCompoAttackStrat) {
        this.idCompoAttackStrat = idCompoAttackStrat;
    }
    
    /** Getter for property idCompoDecisionStrat.
     * @return Value of property idCompoDecisionStrat.
     *
     */
    public int getIdCompoDecisionStrat() {
        return idCompoDecisionStrat;
    }
    
    /** Setter for property idCompoDecisionStrat.
     * @param idCompoDecisionStrat New value of property idCompoDecisionStrat.
     *
     */
    public void setIdCompoDecisionStrat(int idCompoDecisionStrat) {
        this.idCompoDecisionStrat = idCompoDecisionStrat;
    }
    
    /** Getter for property idStrategy.
     * @return Value of property idStrategy.
     *
     */
    public int getIdStrategy() {
        return idStrategy;
    }
    
    /** Setter for property idStrategy.
     * @param idStrategy New value of property idStrategy.
     *
     */
    public void setIdStrategy(int idStrategy) {
        this.idStrategy = idStrategy;
    }
    
}
