/*
 * DecisionStrat.java
 *
 * Created on 4 juin 2004, 16:19
 */

package simulations.database.core;

import java.sql.SQLException;
import java.sql.ResultSet;

/**
 *
 * @author  tom
 */
public class DecisionStrat {
    
    private int idDecisionStrat;
    
    private String name;
    
    private int memory;
    
    private boolean negative;
    
    
    /** Creates a new instance of DecisionStrat */
    public DecisionStrat(ResultSet rs) {
        try {
            idDecisionStrat = rs.getInt("ID_DECISION_STRAT");
            name = rs.getString("NAME");
            memory = rs.getInt("MEMORY");
            negative = rs.getBoolean("NEGATIVE");
        }catch(SQLException e) {
            System.out.println("new DecisionStrat()");
            e.printStackTrace();
            System.exit(0);
        }
    }
    
    public DecisionStrat(String name, int mem, boolean neg) {
        this.name=name;
        memory=mem;
        negative=neg;
    }
    
    public String toString() {
        return name+" ("+memory+") "+negative;
    }
    
    /** Getter for property idDecisionStrat.
     * @return Value of property idDecisionStrat.
     *
     */
    public int getIdDecisionStrat() {
        return idDecisionStrat;
    }
    
    /** Setter for property idDecisionStrat.
     * @param idDecisionStrat New value of property idDecisionStrat.
     *
     */
    public void setIdDecisionStrat(int idDecisionStrat) {
        this.idDecisionStrat = idDecisionStrat;
    }
    
    /** Getter for property memory.
     * @return Value of property memory.
     *
     */
    public int getMemory() {
        return memory;
    }
    
    /** Setter for property memory.
     * @param memory New value of property memory.
     *
     */
    public void setMemory(int memory) {
        this.memory = memory;
    }
    
    /** Getter for property name.
     * @return Value of property name.
     *
     */
    public java.lang.String getName() {
        return name;
    }
    
    /** Setter for property name.
     * @param name New value of property name.
     *
     */
    public void setName(java.lang.String name) {
        this.name = name;
    }
    
    /** Getter for property negative.
     * @return Value of property negative.
     *
     */
    public boolean isNegative() {
        return negative;
    }
    
    /** Setter for property negative.
     * @param negative New value of property negative.
     *
     */
    public void setNegative(boolean negative) {
        this.negative = negative;
    }
    
}
