/*
 * Exp.java
 *
 * Created on 3 juin 2004, 02:25
 */

package simulations.database.core;

import java.sql.SQLException;
import java.sql.ResultSet;

/**
 *
 * @author  tom
 */
public class Exp {
    
    private int idExp;
    
    private int idTest;
    
    private String name;
    
    private int seed;
    
    /** Creates a new instance of Exp */
    public Exp(ResultSet rs) {
        try {
            idExp = rs.getInt("ID_EXP");
            idTest = rs.getInt("ID_TEST");
            name = rs.getString("NAME");
            seed = rs.getInt("SEED");
        }catch(SQLException e) {
            System.out.println("new Exp()");
            e.printStackTrace();
            System.exit(0);
        }
    }
    
    public String toString() {
        return name;
    }
    
    /** Getter for property idExp.
     * @return Value of property idExp.
     *
     */
    public int getIdExp() {
        return idExp;
    }
    
    /** Setter for property idExp.
     * @param idExp New value of property idExp.
     *
     */
    public void setIdExp(int idExp) {
        this.idExp = idExp;
    }
    
    /** Getter for property name.
     * @return Value of property name.
     *
     */
    public java.lang.String getName() {
        return name;
    }
    
    /** Setter for property name.
     * @param name New value of property name.
     *
     */
    public void setName(java.lang.String name) {
        this.name = name;
    }
    
    /** Getter for property idTest.
     * @return Value of property idTest.
     *
     */
    public int getIdTest() {
        return idTest;
    }
    
    /** Setter for property idTest.
     * @param idTest New value of property idTest.
     *
     */
    public void setIdTest(int idTest) {
        this.idTest = idTest;
    }
    
    /** Getter for property seed.
     * @return Value of property seed.
     *
     */
    public int getSeed() {
        return seed;
    }
    
    /** Setter for property seed.
     * @param seed New value of property seed.
     *
     */
    public void setSeed(int seed) {
        this.seed = seed;
    }
    
}
