/*
 * Game.java
 *
 * Created on 3 juin 2004, 03:05
 */

package simulations.database.core;

import java.sql.SQLException;
import java.sql.ResultSet;

/**
 *
 * @author  tom
 */
public class Game {
    
    private int idGame;
    
    private int idSerie;
    
    private String name;
    
    /** Creates a new instance of Game */
    public Game(ResultSet rs) {
        try {
            idGame = rs.getInt("ID_GAME");
            idSerie = rs.getInt("ID_SERIE");
            name = rs.getString("NAME");
        }catch(SQLException e) {
            System.out.println("new Game()");
            e.printStackTrace();
            System.exit(0);
        }
    }
    
    public boolean equals(Object o) {
        if (o instanceof Game) {
            Game g = (Game)o;
            if (!(g.getName().equals(name))) {
                return false;
            }
            if (g.getIdGame()!=idGame) {
                return false;
            }
            if (g.getIdSerie()!=idSerie) {
                return false;
            }
            return true;
        }
        return false;
    }
    
    public String toString() {
        return name;
    }
    
    /** Getter for property idGame.
     * @return Value of property idGame.
     *
     */
    public int getIdGame() {
        return idGame;
    }
    
    /** Setter for property idGame.
     * @param idGame New value of property idGame.
     *
     */
    public void setIdGame(int idGame) {
        this.idGame = idGame;
    }
    
    /** Getter for property idSerie.
     * @return Value of property idSerie.
     *
     */
    public int getIdSerie() {
        return idSerie;
    }
    
    /** Setter for property idSerie.
     * @param idSerie New value of property idSerie.
     *
     */
    public void setIdSerie(int idSerie) {
        this.idSerie = idSerie;
    }
    
    /** Getter for property name.
     * @return Value of property name.
     *
     */
    public java.lang.String getName() {
        return name;
    }
    
    /** Setter for property name.
     * @param name New value of property name.
     *
     */
    public void setName(java.lang.String name) {
        this.name = name;
    }
    
}
