/*
 * Strategy.java
 *
 * Created on 3 juin 2004, 03:08
 */

package simulations.database.core;

import java.sql.SQLException;
import java.sql.ResultSet;

/**
 *
 * @author  tom
 */
public class Strategy {
    
    private int idStrategy;
    
    private String name;
    
    /** Creates a new instance of Strategy */
    public Strategy(ResultSet rs) {
        try {
            idStrategy = rs.getInt("ID_STRATEGY");
            name = rs.getString("NAME");
        }catch(SQLException e) {
            System.out.println("new Strategy()");
            e.printStackTrace();
            System.exit(0);
        }
    }
    
    public String toString() {
        return name;
    }
    
    /** Getter for property idStrategy.
     * @return Value of property idStrategy.
     *
     */
    public int getIdStrategy() {
        return idStrategy;
    }
    
    /** Setter for property idStrategy.
     * @param idStrategy New value of property idStrategy.
     *
     */
    public void setIdStrategy(int idStrategy) {
        this.idStrategy = idStrategy;
    }
    
    /** Getter for property name.
     * @return Value of property name.
     *
     */
    public java.lang.String getName() {
        return name;
    }
    
    /** Setter for property name.
     * @param name New value of property name.
     *
     */
    public void setName(java.lang.String name) {
        this.name = name;
    }
    
}
