/*
 * CoalitionData.java
 *
 * Created on 30 mai 2004, 16:54
 */

package simulations.gui.coalitions;

/**
 *
 * @author  tom
 */
public class CoalitionData {
    
    private int nbOcc;
    
    private int maxLength;
    
    private int currentLength;
    
    private int seqNbOcc;
    
    private boolean lastTurn;
    
    /** Creates a new instance of CoalitionData */
    public CoalitionData(int nbOcc, int maxLength, int currentLength, int seqNbOcc, boolean lastTurn) {
        this.nbOcc=nbOcc;
        this.maxLength=maxLength;
        this.currentLength=currentLength;
        this.seqNbOcc=seqNbOcc;
        this.lastTurn=lastTurn;
    }
    
    /** Getter for property currentLength.
     * @return Value of property currentLength.
     *
     */
    public int getCurrentLength() {
        return currentLength;
    }
    
    /** Setter for property currentLength.
     * @param currentLength New value of property currentLength.
     *
     */
    public void setCurrentLength(int currentLength) {
        this.currentLength = currentLength;
    }
    
    /** Getter for property lastTurn.
     * @return Value of property lastTurn.
     *
     */
    public boolean isLastTurn() {
        return lastTurn;
    }
    
    /** Setter for property lastTurn.
     * @param lastTurn New value of property lastTurn.
     *
     */
    public void setLastTurn(boolean lastTurn) {
        this.lastTurn = lastTurn;
    }
    
    /** Getter for property maxLength.
     * @return Value of property maxLength.
     *
     */
    public int getMaxLength() {
        return maxLength;
    }
    
    /** Setter for property maxLength.
     * @param maxLength New value of property maxLength.
     *
     */
    public void setMaxLength(int maxLength) {
        this.maxLength = maxLength;
    }
    
    /** Getter for property nbOcc.
     * @return Value of property nbOcc.
     *
     */
    public int getNbOcc() {
        return nbOcc;
    }
    
    /** Setter for property nbOcc.
     * @param nbOcc New value of property nbOcc.
     *
     */
    public void setNbOcc(int nbOcc) {
        this.nbOcc = nbOcc;
    }
    
    /** Getter for property seqNbOcc.
     * @return Value of property seqNbOcc.
     *
     */
    public int getSeqNbOcc() {
        return seqNbOcc;
    }
    
    /** Setter for property seqNbOcc.
     * @param seqNbOcc New value of property seqNbOcc.
     *
     */
    public void setSeqNbOcc(int seqNbOcc) {
        this.seqNbOcc = seqNbOcc;
    }
    
}
