/*
 * DataChecker.java
 *
 * Created on March 29, 2004, 2:15 AM
 */

package simulations.xml;

import java.util.Iterator;
import java.util.ArrayList;

import simulations.core.Player;


/** This class describes a check that will check the data return from the parser
 * @author tom
 */
public class DataChecker {
    
    /** Creates a new instance of DataChecker */
    public DataChecker() {
    }
    
    /** return false if the name s is already in the player's list l
     * @param l The player's list
     * @param s The name
     * @return return false if the name s is already in the player's list l, true otherwise
     */    
    public boolean checkName(ArrayList l,String s) {
        for(int i=0;i<l.size();i++) {
            Player p = (Player)l.get(i);
            if (p.getName().equals(s)) {
                return false;
            }
        }
        return true;
    }
    
    /** Return false is there is two times the same name in the player list l
     * @param l The player's list
     * @return Return false is there is two times the same name in the player list l, true
     * otherwise
     */    
    public boolean checkName(ArrayList l) {
        for(int i=0;i<l.size();i++) {
            Player p = (Player)l.get(i);
            int ind = l.indexOf(p);
            l.remove(ind);
            if (!(checkName(l,p.getName()))) {
                return false;
            }
            l.add(ind,p);
        }
        return true;
    }
    
}
